Last Comment Bug 422760 - Bundled spellcheck dictionary invisible on Mac OS X
: Bundled spellcheck dictionary invisible on Mac OS X
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Spelling checker (show other bugs)
: Trunk
: All Mac OS X
: P2 major with 2 votes (vote)
: mozilla1.9
Assigned To: Josh Aas
:
: Jet Villegas (:jet)
Mentors:
data:text/html,<textarea/>
Depends on:
Blocks: 419959 425210
  Show dependency treegraph
 
Reported: 2008-03-13 13:41 PDT by Marek Stępień [:marcoos, inactive]
Modified: 2008-11-08 08:13 PST (History)
18 users (show)
mtschrep: blocking1.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (677 bytes, patch)
2008-03-28 11:09 PDT, Josh Aas
no flags Details | Diff | Splinter Review
fix v1.1 (4.08 KB, patch)
2008-03-28 12:54 PDT, Josh Aas
stuart.morgan+bugzilla: review+
Details | Diff | Splinter Review
fix v1.1 (6.09 KB, patch)
2008-03-28 14:18 PDT, Josh Aas
mconnor: review+
mconnor: ui‑review+
Details | Diff | Splinter Review

Description Marek Stępień [:marcoos, inactive] 2008-03-13 13:41:32 PDT
Firefox 3 now uses the global spellchecker of OS X.  and there's no way (or at least, no way visible to non-power user) to force it to use the 1+ MB spellchecker dictionary Firefox ships with.

Mac OS X 10.5 comes with Polish localization and you can set the system
language to Polish, but it does not contain Polish spellchecker. Firefox only
allows me to use the English system spellchecker.

Steps to reproduce:
1) On Mac OS X, install Firefox 3 with a localization that doesn't have an Apple-provided spell checker in the OS, but Firefox with this locale includes a spellchecker; e.g. install Polish Firefox 3.
2) Edit text in a textarea, like data:text/html,<textarea/>
3) Open context-menu, select "Languages" (pl: "Języki")

Actual results:
1) The only item in there is the system default spellchecker, usually English (pl: "Angielski")

Expected results:
1) There should be the dictionary bundled with Firefox listed (first?)

(split from bug 419959)
Comment 1 Henrik Skupin (:whimboo) 2008-03-13 14:02:50 PDT
I think that this will be a major issue for all users of Firefox who are using a OS X locale which doesn't contain a dictionary. They wont have the spellchecker available for their own language. I think that this will happen for most of the languages worldwide. Do we have the possibility to have the old spellchecker as a fallback option?

Asking for blocking1.9.
Comment 2 Mike Schroepfer 2008-03-19 14:35:01 PDT
So if a FF2 user in poland upgrades to FF3 they'll lose spellchecking...   If that is the case we need to fix - is it possible for us to get a list of locales that this impacts and choose the dictionary?
Comment 3 Henrik Skupin (:whimboo) 2008-03-19 15:38:41 PDT
Mike, it's hard to find a list of locales with a spellchecker. But here it is:

"10.4 has dictionaries for Australian, British, and Canadian English, German, Spanish, French, Italian, Dutch, Portuguese, Swedish, Danish, and Russian."

Got this from: http://homepage.mac.com/thgewecke/mlingos9.html#spell

It means there are nearly 30 locales which don't have a spellchecker available?
Comment 4 Josh Aas 2008-03-28 10:48:48 PDT
We should probably just disable the native spellchecker at this point.
Comment 5 Josh Aas 2008-03-28 11:09:42 PDT
Created attachment 312317 [details] [diff] [review]
fix v1.0
Comment 6 Josh Aas 2008-03-28 11:20:42 PDT
I'm choosing to disable the native spellchecker because it wasn't built to work in tandem with hunspell. I don't think re-architecting things, if at all possible, is a good idea at this point.
Comment 7 Axel Hecht [:Pike] 2008-03-28 11:33:39 PDT
Sounds good to me, fwiw.
Comment 8 Josh Aas 2008-03-28 12:54:57 PDT
Created attachment 312342 [details] [diff] [review]
fix v1.1
Comment 9 Stuart Morgan 2008-03-28 14:10:48 PDT
Comment on attachment 312342 [details] [diff] [review]
fix v1.1

Has hunspell ever been used on OS X? From what I can tell, it was myspell->osxspell, and hunspell came later.

If not, this seems pretty high-risk.

If this does land, then presumably bug 339980 (and possible others) needs to be backed out.
Comment 10 Stuart Morgan 2008-03-28 14:11:34 PDT
Comment on attachment 312342 [details] [diff] [review]
fix v1.1

(r=smorgan code-wise, since I'm not in a position to make the larger call either way)
Comment 11 Josh Aas 2008-03-28 14:12:28 PDT
Yes, we'd want to back out 339980. I'll include that in an updated patch.
Comment 12 Josh Aas 2008-03-28 14:18:25 PDT
Created attachment 312365 [details] [diff] [review]
fix v1.1
Comment 13 Mike Connor [:mconnor] 2008-03-29 22:54:33 PDT
Comment on attachment 312365 [details] [diff] [review]
fix v1.1

Oy, this really kinda sucks.  I wonder if there's a way to convert hunspell dictionaries to the format OS X uses?  Not really useful now, but would be a neat trick if we had a pkg installer (install Firefox, get spellchecking in your preferred language in all Mac apps!).
Comment 14 Josh Aas 2008-03-30 10:54:59 PDT
landed on trunk
Comment 15 Henrik Skupin (:whimboo) 2008-04-02 14:29:29 PDT
Verified with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9pre) Gecko/2008040204 Minefield/3.0pre ID:2008040204

Enabled "Check Spelling" for a textarea. Now I'm able to select one of the installed dictionaries or can add a new one. Tested with German dictionary.
Comment 16 Nick Thomas [:nthomas] 2008-04-04 08:30:25 PDT
*** Bug 415427 has been marked as a duplicate of this bug. ***
Comment 17 Jose Fandos 2008-04-07 03:46:54 PDT
I was reading the blog entry by John Gruber on Firefox 3 OSX integration (http://daringfireball.net/2008/04/firefox_3_safari_3) and it looks like this bug would apply, or a follow-up that would either allow you to choose between using the system default or the built in, no matter what language, or what comment 13 is suggesting.

From the article:

Dictionary — Firefox doesn’t support the system-wide dictionary. In Safari (and most other apps), you can hover the mouse over any word and use Command-Control-D (by default) to display the definition of that word right there in the current window.

Maybe it would be good to add "ue" to the keywords' list.
Comment 18 Stuart Morgan 2008-04-07 06:03:20 PDT
He's talking about bug 301451, not this.
Comment 19 Shawn Wilsher :sdwilsh 2008-04-07 20:09:47 PDT
Possibly caused bug 427685?

Note You need to log in before you can comment on or make changes to this bug.